#
# spec file for package xledmpi (Version 1.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  lam openmotif openmotif-devel xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd lam less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openmotif openmotif-devel pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         xledmpi
Version:      1.1
Release:      272
Summary:      XLED - a LED server for LAM
Copyright:	GPL
Group:          Development/Libraries/Parallel
Url:		http://www.mpi.nd.edu/lam/software/xled
Requires:	lam lesstif
Autoreqprov: on
Source:  xled11.tar.gz
Patch:   xled.dif
BuildRoot: /tmp/xledmpi-%{version}-root

%description
XLED is an X/Motif based client/server package that emulates hardware LEDs. It is implemented on top of LAM, a cluster computing environment for UNIX. It provides a low cost alternative for sexy blinking LEDs demos (popular with supervisors and managers!) and quick-n-dirty debugging.
The XLED client library can be used by MPI applications under LAM, from C and Fortran. It provides a simple interface to turn on/off selected LEDs and inquire about their current state. The XLED server can be run on any node in the LAM multicomputer. The LED calls locate and direct their requests to the proper destination.

Authors:
--------
    LAM Team <lam@mpi.nd.edu>

SuSE series: beo

%prep
%setup -q -n xled
%patch

%build
make

%install
export LAMHOME=/usr/lib/lam
make prefix=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc Readme Copying blinky
/usr/lib/lam/include/ledreq.h
/usr/lib/lam/lib/libled.a
%doc %{_mandir}/man2/lamled.2.gz
%doc %{_mandir}/man1/xledmpi.1.gz
/usr/X11R6/lib/X11/app-defaults/XLEDMPI
/usr/X11R6/bin/xledmpi

%changelog -n xledmpi
* Thu Apr 19 2001 - ro@suse.de
- fixed to compile with new lam
* Mon Nov 20 2000 - nashif@suse.de
- switched from lesstif to openmotif
* Thu Nov 16 2000 - nashif@suse.de
- use _mandir macro
* Thu May 11 2000 - nashif@suse.de
- use buildRoot, new group and url tags
- moved /usr/X11 to /usr/X11R6
* Wed Jan 19 2000 - nashif@suse.de
- Initial Release
